[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFindGlobalComponent

Callback type to search for a component.

## Declaration

Source position: classesh.inc line 2022

`type TFindGlobalComponent = function(`
`const Name: string`
`):TComponent;`

## Description

TFindGlobalComponent is a callback used to find a component in a global scope. It is used when the streaming system needs to find a component which is not part of the component which is currently being streamed. It should return the component with name Name, or Nil if none is found.

The variable FindGlobalComponent is a callback of type TFindGlobalComponent. It can be set by the IDE when an unknown reference is found, to offer the designer to redirect the link to a new component.

## See also

FindGlobalComponent |  | Callback used when a component must be found.

Documentation generated on: Feb 26 2014